# Created by pyp2rpm-3.3.2
%global pypi_name rfc3986

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 5
Summary:        Validating URI References per RFC 3986
Group:          Development/Python
License:        Apache 2.0
URL:            https://rfc3986.readthedocs.io/
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         rfc3986-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# docs
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-prompt)
%endif

%description
rfc3986 is a Python implementation of RFC 3986 including validation and
authority parsing. This module also supports RFC 6874 which adds support for
zone identifiers to IPv6 Addresses.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
rfc3986 is a Python implementation of RFC 3986 including validation and
authority parsing. This module also supports RFC 6874 which adds support for
zone identifiers to IPv6 Addresses.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/build/lib sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files rfc3986

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst %{?with_docs:html}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-5.mga10
+ Revision: 2238997
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.0.0-4.mga10
+ Revision: 2155773
- rebuild for python3.13 without docs
+ daviddavid <daviddavid>
- rebuild for python 3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 2.0.0-2.mga10
+ Revision: 2150024
- fix for doc build with sphinx 8.1

* Mon Dec 25 2023 wally <wally> 2.0.0-1.mga10
+ Revision: 2021505
- new version 2.0.0
+ papoteur <papoteur>
- rebuild for python 3.12
- adapt to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 1.5.0-3.mga9
+ Revision: 1832712
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 1.5.0-2.mga9
+ Revision: 1781386
- update to python3.10

* Fri Aug 27 2021 wally <wally> 1.5.0-1.mga9
+ Revision: 1742676
- new version 1.5.0

* Sun Oct 11 2020 guillomovitch <guillomovitch> 1.4.0-2.mga9
+ Revision: 1633477
- add additional idna2008 subpackage

* Fri Jul 03 2020 shlomif <shlomif> 1.4.0-1.mga8
+ Revision: 1601709
- New version 1.4.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1532750
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.3.2-2.mga8
+ Revision: 1442913
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.3.2-1.mga8
+ Revision: 1435715
- new version 1.3.2
- drop python2 support

* Sun Apr 21 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1394409
- imported package python-rfc3986

